#ifndef __BUTTONS_H
#define __BUTTONS_H

  #include "globals.h"
  #include "delays.h"
  
  #define BUTT1_PREV_DN       GPIOA->BSRR = GPIO_PIN_4
  #define BUTT1_PREV_UP       GPIOA->BRR = GPIO_PIN_4

  #define BUTT1_NEXT_DN       GPIOA->BSRR = GPIO_PIN_3
  #define BUTT1_NEXT_UP       GPIOA->BRR = GPIO_PIN_3

  #define BUTT1_MODE_DN       GPIOA->BSRR = GPIO_PIN_2
  #define BUTT1_MODE_UP       GPIOA->BRR = GPIO_PIN_2

  #define BUTT1_REPT_DN       GPIOA->BSRR = GPIO_PIN_1
  #define BUTT1_REPT_UP       GPIOA->BRR = GPIO_PIN_1

  // Power
  #define BUTT_POWER_ON        ;//GPIOF->BRR = GPIO_PIN_1
  #define BUTT_POWER_OFF       ;//GPIOF->BSRR = GPIO_PIN_1


  extern void initButtons(void);
  
  extern void clickButtonPrev(void);
  
  extern void clickButtonNext(void);

  extern void setPowerOn(void);
  
  extern void setPowerOff(void);

  extern void setNextTrack(void);

  extern void setPrevTrack(void);

  extern uint8_t flg_ButtonNext;
  
  extern uint8_t flg_ButtonPrev;
  
  extern void setVolUpFlag(void);
  
  //extern void checkResVolUpFlag(void);
  
#endif
